set psffile [lindex $argv 0]
set dcdfile [lindex $argv 1]
set out_name [lindex $argv 2]

mol new $psffile 
mol addfile $dcdfile waitfor all

# load necessary tcl functions  (Ref : http://www.ks.uiuc.edu/Research/vmd/vmd-1.7.1/ug/node182.html )
source /home/usr/gyr_radius.tcl
source /home/usr/center_of_mass.tcl

set outfile [open $out_name w]
puts $outfile "i RoG"
set nf [molinfo top get numframes] 
set i 0

set prot [atomselect top "protein"]
while {$i < $nf} {

    $prot frame $i
    $prot update

    set i [expr {$i + 1}]
    set rog [gyr_radius $prot]

    puts $outfile [format "%d %.3f" $i $rog ]

} 

close $outfile
exit
